/* $Id$
 *
 * Author: Jan Kofron
 * Distributed Systems Research Group
 * Department of Software Engineering
 * Charles University in Prague
 * Czech Republic
 *
 * jan.kofron@dsrg.mff.cuni.cz
 */
package org.ow2.dsrg.fm.ebp2promela.architecture;

import java.io.Reader;
import org.ow2.dsrg.fm.bptools.architecture.ParsedArchitecture;
import org.ow2.dsrg.fm.bptools.architecture.ParsedArchitecture.ArchitectureException;
import org.ow2.dsrg.fm.bptools.architecture.ParsedArchitecture.ParserBridge;
import org.ow2.dsrg.fm.bptools.javacc.ebpparser.EBPParser;
import org.ow2.dsrg.fm.bptools.javacc.ebpparser.ParseException;
import org.ow2.dsrg.fm.bptools.parser.nodes.parsed.BPParsedComponent;

/**
 *
 * @author kofron
 */
    public class EBPParserBridge implements ParserBridge{
        public ParsedArchitecture parseArchitecture(Reader in) throws ArchitectureException {
            assert false;
            return null;
        }

        public BPParsedComponent parseComponent(Reader in) throws ArchitectureException {
            
        try{
            return new EBPParser(in).parse();
        } catch (ParseException pe){
            throw new ParsedArchitecture.ParseException(pe.getMessage());
        }
        
        }

    }
