/* $Id: EBPProtocolKeeper.java 85 2007-10-03 15:07:46Z poch $
 *
 * ebp2prom - Extended Behavior Protocols translator to Promela
 * Copyright (C) 2006-2007  DSRG, Charles University in Prague
 *                          http://dsrg.mff.cuni.cz/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 *
 */

package org.ow2.dsrg.fm.ebp2promela.generator;

import org.ow2.dsrg.fm.bptools.IEventTable;
import org.ow2.dsrg.fm.bptools.ProtocolKeeper;
import org.ow2.dsrg.fm.bptools.fsm.NondeterministicFSM;
import org.ow2.dsrg.fm.bptools.parser.nodes.BPNode;
import org.ow2.dsrg.fm.bptools.traversal.ActionPack;


/**
 *
 * @author Kofron
 */
public class EBPProtocolKeeper extends ProtocolKeeper {
    
    /** Creates a new instance of EBPProtocolKeeper */
    public EBPProtocolKeeper(BPNode pt) {
        super (pt);
    }
    
    
    protected ActionPack<NondeterministicFSM, BPNode> createVisitor(IEventTable et) {
        return new EBPCreateUndetFSMActions(et);
    }
    
    
}
